import request from '@/utils/request'

// 查询使用申请详情列表
export function listItem(query) {
  return request({
    url: '/use/apply/item/list',
    method: 'get',
    params: query
  })
}

// 查询使用申请详情详细
export function getItem(id) {
  return request({
    url: '/use/apply/item/' + id,
    method: 'get'
  })
}

// 新增使用申请详情
export function addItem(data) {
  return request({
    url: '/use/apply/item',
    method: 'post',
    data: data
  })
}

// 修改使用申请详情
export function updateItem(data) {
  return request({
    url: '/use/apply/item',
    method: 'put',
    data: data
  })
}

// 删除使用申请详情
export function delItem(id) {
  return request({
    url: '/use/apply/item/' + id,
    method: 'delete'
  })
}
